
/********************************************************************
* File: bindmp.h
* 
* DESCRIPTION - Head file for bindmp.c
*
* Author: Subing Zeng ,     12/2/98
* Modified: Urmila Prasad,  03/31/99  
*******************************************************************/

#include "mfhdf.h"
#include <stdio.h>
#include "HdfEosDef.h"

/*these function are developed by Subing Z*/
/* Modified all the functions to meet the binary dump requirments */

void   usage(char *command);
int    check_options( int argc, char *argv[] );
int32  getobjtype( int32 fid, char *objname);
intn   dumpswath( int32 obj_id, char *fieldname );
intn   dumpgrid( int32 obj_id, char *fieldname );
intn   dumppoint( int32 obj_id , int32 level, char *fieldname);
intn   dump_SWGD_field( int32 obj_id, char *fieldname);
intn   dump_PT_field(int32 obj_id, int32 level,char *fieldname );

/* these functions are from dial project*/
void   projcode2text(int32 projcode, int32 zonecode, 
 	       int32 spherecode, double projparam[], char *buffer);
char   *ProjName(int32 projcode);
double UnpackDegree(double packed);
char   *get_type(int32 nt );

